import { jsx } from "react/jsx-runtime";
import { TokenBEAM as TokenBEAM$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenBEAM = forwardRef(
  ({ variant = "mono", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, alt: "BEAM", "data-name": "TokenBEAM", ...props, children: /* @__PURE__ */ jsx(TokenBEAM$1, { variant }) });
  }
);
TokenBEAM.displayName = "TokenBEAM";
Object.assign(TokenBEAM, { isGdsIcon: true });
export {
  TokenBEAM
};
